net.snowflake.client.jdbc

## Class SnowflakeChunkDownloader.NoOpChunkDownloader

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeChunkDownloader.NoOpChunkDownloader

All Implemented Interfaces:
  ChunkDownloader

Enclosing class:
  SnowflakeChunkDownloader

    public static class SnowflakeChunkDownloader.NoOpChunkDownloader
    extends Object
    implements ChunkDownloader

This is a No Operation chunk downloader to avoid potential null pointer exception

### Constructor Summary

Constructors
Constructor and Description
`NoOpChunkDownloader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SnowflakeResultChunk` `getNextChunkToConsume()` Get next SnowflakeResultChunk that is ready to be consumed by the main thread.
`DownloaderMetrics` `terminate()` Terminate the chunk downloader, release all resources allocated

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpChunkDownloader

    public NoOpChunkDownloader()

### Method Detail

#### getNextChunkToConsume

    public SnowflakeResultChunk getNextChunkToConsume()
                                               throws SnowflakeSQLException

Description copied from interface: `ChunkDownloader`
Get next SnowflakeResultChunk that is ready to be consumed by the main thread. The caller will be blocked if the chunk is not ready to be consumed (a.k.a not loaded into memory yet)

Specified by:
  `getNextChunkToConsume` in interface `ChunkDownloader`
Returns:
  result chunk with data loaded
Throws:
  `SnowflakeSQLException`

#### terminate

    public DownloaderMetrics terminate()

Description copied from interface: `ChunkDownloader`
Terminate the chunk downloader, release all resources allocated

Specified by:
  `terminate` in interface `ChunkDownloader`
Returns:
  metrics measuring downloader performance